Bug 192449 - [meta][WebKit] Remove using namespace WebCore and WebKit in the global scope for unified source builds
Summary: [meta][WebKit] Remove using namespace WebCore and WebKit in the global scope ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on: 192450 191995 192301 192352 192588 192968
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-05 20:09 PST by Fujii Hironori
Modified: 2018-12-20 18:47 PST (History)
11 users (show)

See Also:


Attachments
patch (46.31 KB, patch)
2018-12-08 00:47 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (47.64 KB, patch)
2018-12-08 01:26 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (47.62 KB, patch)
2018-12-08 01:29 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (47.58 KB, patch)
2018-12-08 01:31 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (50.22 KB, patch)
2018-12-08 01:37 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (48.43 KB, patch)
2018-12-08 01:41 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (49.82 KB, patch)
2018-12-08 02:07 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (50.04 KB, patch)
2018-12-08 02:15 PST, chris fleizach
darin: review+
Details | Formatted Diff | Diff
patch (50.54 KB, patch)
2018-12-08 22:33 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (53.84 KB, patch)
2018-12-09 11:24 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (57.32 KB, patch)
2018-12-09 14:56 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (155.75 KB, patch)
2018-12-10 01:06 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (154.56 KB, patch)
2018-12-10 01:07 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (1.34 KB, patch)
2018-12-10 13:31 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (166.68 KB, patch)
2018-12-10 13:38 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (169.21 KB, patch)
2018-12-10 13:49 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (169.10 KB, patch)
2018-12-10 14:32 PST, chris fleizach
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (9.87 MB, application/zip)
2018-12-10 16:28 PST, EWS Watchlist
no flags Details
patch (157.12 KB, patch)
2018-12-10 17:01 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (195.16 KB, patch)
2018-12-11 23:28 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (198.41 KB, patch)
2018-12-12 00:40 PST, chris fleizach
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.38 MB, application/zip)
2018-12-12 02:37 PST, EWS Watchlist
no flags Details
patch (198.92 KB, patch)
2018-12-12 09:10 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch - part1 (5.88 KB, patch)
2018-12-12 09:33 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 1 (23.46 KB, patch)
2018-12-12 09:45 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 2 (113.02 KB, patch)
2018-12-12 11:22 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 3 (1.34 KB, patch)
2018-12-12 16:18 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 4 (5.88 KB, patch)
2018-12-12 16:26 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 5 (3.98 KB, patch)
2018-12-12 16:41 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 6 (4.69 KB, patch)
2018-12-12 22:59 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 7 (56.04 KB, patch)
2018-12-12 23:48 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 6 (4.69 KB, patch)
2018-12-13 00:39 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 7 (56.69 KB, patch)
2018-12-13 08:34 PST, chris fleizach
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews203 for win-future (12.77 MB, application/zip)
2018-12-13 10:29 PST, EWS Watchlist
no flags Details
patch - part7 (56.63 KB, patch)
2018-12-13 17:56 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch - part7 (56.71 KB, patch)
2018-12-14 09:09 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch, part 7 (56.71 KB, patch)
2018-12-14 11:56 PST, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2018-12-05 20:09:40 PST
[meta][WebKit] Remove using namespace WebCore and WebKit in the global scope for unified source builds

See Bug 191853 Comment 9 and Bug 191995 comment 8.
Comment 1 Fujii Hironori 2018-12-05 22:11:14 PST
Grepped remaining using namespace in the global scope.
https://gist.github.com/fujii/869707c181ca78fd4d9faaf03fbca832
Comment 2 Fujii Hironori 2018-12-07 16:33:32 PST
https://lists.webkit.org/pipermail/webkit-dev/2018-December/030289.html

> I'm hitting this tougher one now. Namespace conflict between Rect in Carbon and WebCore::Rect
Comment 3 chris fleizach 2018-12-07 16:34:21 PST
I almost have this one fixed in the other bug to at least get this building
Comment 4 chris fleizach 2018-12-07 16:42:34 PST
But I'm still stuck on this one issue

In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm:6:
In file included from /Volumes/Data/EWS/WebKit/Source/WebKit/UIProcess/Plugins/mac/PluginInfoStoreMac.mm:32:
In file included from /Volumes/Data/EWS/WebKit/Source/WebKit/Shared/Plugins/Netscape/NetscapePluginModule.h:34:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/npruntime_internal.h:28:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/npapi.h:82:
In file included from /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/Headers/Carbon.h:29:
In file included from /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/Frameworks/HIToolbox.framework/Headers/HIToolbox.h:35:
In file included from /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/Frameworks/HIToolbox.framework/Headers/HIToolbar.h:26:
In file included from /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/Frameworks/HIToolbox.framework/Headers/Menus.h:22:
/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/Frameworks/HIToolbox.framework/Headers/Appearance.h:1373:3: error: reference to 'Rect' is ambiguous
  Rect                bounds;
  ^
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm:1:
In file included from /Volumes/Data/EWS/WebKit/Source/WebKit/WebKit2Prefix.h:45:
In file included from /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/CoreFoundation.framework/Headers/CoreFoundation.h:43:
In file included from /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/CoreFoundation.framework/Headers/CFBase.h:77:
/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/usr/include/MacTypes.h:550:41: note: candidate found by name lookup is 'Rect'
typedef struct Rect                     Rect;
                                        ^
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm:1:
In file included from /Volumes/Data/EWS/WebKit/Source/WebKit/UIProcess/Cocoa/WebViewImpl.mm:79:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/AXObjectCache.h:29:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/AccessibilityObject.h:33:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/HTMLTextFormControlElement.h:27:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/HTMLFormControlElementWithState.h:26:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/HTMLFormControlElement.h:28:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/LabelableElement.h:33:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/HTMLElement.h:30:
In file included from /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/StyledElement.h:27:
/Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/CSSPrimitiveValue.h:45:7: note: candidate found by name lookup is 'WebCore::Rect'
class Rect;
      ^
Comment 5 chris fleizach 2018-12-07 16:42:52 PST
(In reply to chris fleizach from comment #4)
> But I'm still stuck on this one issue
> 
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-
> sources/UnifiedSource28-mm.mm:6:
> In file included from
> /Volumes/Data/EWS/WebKit/Source/WebKit/UIProcess/Plugins/mac/
> PluginInfoStoreMac.mm:32:
> In file included from
> /Volumes/Data/EWS/WebKit/Source/WebKit/Shared/Plugins/Netscape/
> NetscapePluginModule.h:34:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/npruntime_internal.h:28:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/npapi.h:82:
> In file included from
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/
> Headers/Carbon.h:29:
> In file included from
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/
> Frameworks/HIToolbox.framework/Headers/HIToolbox.h:35:
> In file included from
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/
> Frameworks/HIToolbox.framework/Headers/HIToolbar.h:26:
> In file included from
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/
> Frameworks/HIToolbox.framework/Headers/Menus.h:22:
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/Carbon.framework/
> Frameworks/HIToolbox.framework/Headers/Appearance.h:1373:3: error: reference
> to 'Rect' is ambiguous
>   Rect                bounds;
>   ^
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-
> sources/UnifiedSource28-mm.mm:1:
> In file included from
> /Volumes/Data/EWS/WebKit/Source/WebKit/WebKit2Prefix.h:45:
> In file included from
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/CoreFoundation.
> framework/Headers/CoreFoundation.h:43:
> In file included from
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/CoreFoundation.
> framework/Headers/CFBase.h:77:
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/
> Developer/SDKs/MacOSX10.13.sdk/usr/include/MacTypes.h:550:41: note:
> candidate found by name lookup is 'Rect'
> typedef struct Rect                     Rect;
>                                         ^
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-
> sources/UnifiedSource28-mm.mm:1:
> In file included from
> /Volumes/Data/EWS/WebKit/Source/WebKit/UIProcess/Cocoa/WebViewImpl.mm:79:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/AXObjectCache.h:29:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/AccessibilityObject.h:33:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/HTMLTextFormControlElement.h:27:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/HTMLFormControlElementWithState.h:26:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/HTMLFormControlElement.h:28:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/LabelableElement.h:33:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/HTMLElement.h:30:
> In file included from
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/StyledElement.h:27:
> /Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/
> PrivateHeaders/CSSPrimitiveValue.h:45:7: note: candidate found by name
> lookup is 'WebCore::Rect'
> class Rect;
>       ^

Can't figure out who' responsible
Comment 6 Tim Horton 2018-12-07 17:02:36 PST
You need to get a copy of UnifiedSource28-mm.mm from a failing machine, open all of the things it includes, and find the misplaced (in the root) 'using namespace WebCore'.
Comment 7 chris fleizach 2018-12-07 17:03:16 PST
(In reply to Tim Horton from comment #6)
> You need to get a copy of UnifiedSource28-mm.mm from a failing machine, open
> all of the things it includes, and find the misplaced (in the root) 'using
> namespace WebCore'.

working on it... hopefully will have this ready tonight
Comment 8 chris fleizach 2018-12-08 00:47:02 PST
Created attachment 356865 [details]
patch
Comment 9 chris fleizach 2018-12-08 01:26:16 PST
Created attachment 356866 [details]
patch
Comment 10 chris fleizach 2018-12-08 01:29:38 PST
Created attachment 356867 [details]
patch
Comment 11 chris fleizach 2018-12-08 01:31:38 PST
Created attachment 356868 [details]
patch
Comment 12 chris fleizach 2018-12-08 01:37:31 PST
Created attachment 356869 [details]
patch
Comment 13 EWS Watchlist 2018-12-08 01:40:17 PST
Attachment 356869 [details] did not pass style-queue:


ERROR: Source/WebKit/WebProcess/WebPage/mac/WKAccessibilityWebPageObjectBase.mm:84:  One line control clauses should not use braces.  [whitespace/braces] [4]
Total errors found: 1 in 57 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 chris fleizach 2018-12-08 01:41:05 PST
Created attachment 356870 [details]
patch
Comment 15 chris fleizach 2018-12-08 02:07:22 PST
Created attachment 356871 [details]
patch
Comment 16 chris fleizach 2018-12-08 02:15:47 PST
Created attachment 356872 [details]
patch
Comment 17 Darin Adler 2018-12-08 12:22:36 PST
Comment on attachment 356872 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356872&action=review

> Source/WebKit/UIProcess/ios/WKContentView.mm:65
>  using namespace WebKit;

This is still a potential problem. Needs to eventually be removed.

> Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm:145
>  using namespace WebKit;

This is still a potential problem. Needs to eventually be removed.

> Source/WebKit/UIProcess/ios/fullscreen/WKFullScreenWindowControllerIOS.mm:61
> +using namespace WebKit;

This is still a potential problem. Needs to eventually be removed.

> Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.cpp:40
>  using namespace WebKit::CacheStorage;

This is now a bit peculiar. Should probably just say "using namespace CacheStorage".

> Source/WebKit/WebProcess/WebPage/mac/WKAccessibilityWebPageObjectMac.mm:51
>  using namespace WebKit;

This is still a potential problem. Needs to eventually be removed.
Comment 18 chris fleizach 2018-12-08 22:28:40 PST
(In reply to Darin Adler from comment #17)
> Comment on attachment 356872 [details]
> patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=356872&action=review
> 
> > Source/WebKit/UIProcess/ios/WKContentView.mm:65
> >  using namespace WebKit;
> 
> This is still a potential problem. Needs to eventually be removed.
> 
> > Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm:145
> >  using namespace WebKit;
> 
> This is still a potential problem. Needs to eventually be removed.
> 
> > Source/WebKit/UIProcess/ios/fullscreen/WKFullScreenWindowControllerIOS.mm:61
> > +using namespace WebKit;
> 
> This is still a potential problem. Needs to eventually be removed.
> 
> > Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.cpp:40
> >  using namespace WebKit::CacheStorage;
> 
> This is now a bit peculiar. Should probably just say "using namespace
> CacheStorage".
> 
> > Source/WebKit/WebProcess/WebPage/mac/WKAccessibilityWebPageObjectMac.mm:51
> >  using namespace WebKit;
> 
> This is still a potential problem. Needs to eventually be removed.

I'll fix up these cases. thanks
Comment 19 chris fleizach 2018-12-08 22:33:42 PST
Created attachment 356908 [details]
patch
Comment 20 chris fleizach 2018-12-09 11:24:40 PST
Created attachment 356926 [details]
patch
Comment 21 chris fleizach 2018-12-09 14:56:13 PST
Created attachment 356929 [details]
patch
Comment 22 chris fleizach 2018-12-10 01:06:42 PST
Created attachment 356950 [details]
patch
Comment 23 chris fleizach 2018-12-10 01:07:24 PST
Created attachment 356951 [details]
patch
Comment 24 WebKit Commit Bot 2018-12-10 08:07:37 PST
Comment on attachment 356951 [details]
patch

Clearing flags on attachment: 356951

Committed r239029: <https://trac.webkit.org/changeset/239029>
Comment 25 WebKit Commit Bot 2018-12-10 08:07:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 26 Radar WebKit Bug Importer 2018-12-10 08:08:44 PST
<rdar://problem/46595508>
Comment 27 chris fleizach 2018-12-10 13:31:07 PST
Created attachment 356989 [details]
patch
Comment 28 Matt Lewis 2018-12-10 13:32:14 PST
Reverted r239029 for reason:

This patch caused internal build failures.

Committed r239047: <https://trac.webkit.org/changeset/239047>
Comment 29 chris fleizach 2018-12-10 13:33:08 PST
(In reply to Matt Lewis from comment #28)
> Reverted r239029 for reason:
> 
> This patch caused internal build failures.
> 
> Committed r239047: <https://trac.webkit.org/changeset/239047>

I just put up a patch to fix this hidden issue.
Comment 30 chris fleizach 2018-12-10 13:38:34 PST
Created attachment 356993 [details]
patch
Comment 31 chris fleizach 2018-12-10 13:49:01 PST
Created attachment 356995 [details]
patch
Comment 32 chris fleizach 2018-12-10 14:32:55 PST
Created attachment 357000 [details]
patch
Comment 33 EWS Watchlist 2018-12-10 16:28:49 PST
Comment on attachment 357000 [details]
patch

Attachment 357000 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10343817

New failing tests:
imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https.html
Comment 34 EWS Watchlist 2018-12-10 16:28:51 PST
Created attachment 357014 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 35 WebKit Commit Bot 2018-12-10 16:32:47 PST
Comment on attachment 357000 [details]
patch

Rejecting attachment 357000 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 357000, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
raction.mm
	M	Source/WebKit/UIProcess/ios/fullscreen/WKFullScreenViewController.mm
	M	Source/WebKit/UIProcess/ios/fullscreen/WKFullScreenWindowControllerIOS.mm
	M	Source/WebKit/UIProcess/mac/WebPageProxyMac.mm
	M	Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.cpp
	M	Source/WebKit/WebProcess/WebPage/RemoteLayerTree/PlatformCAAnimationRemote.mm
	M	Source/WebKit/WebProcess/WebPage/mac/WKAccessibilityWebPageObjectMac.mm

ERROR from SVN:
Merge conflict during commit: Conflict at '/trunk/Source/WebKit/ChangeLog'
W: 98abe06ceec970ee6ada7b87ad4d21418585658e and refs/remotes/origin/master differ, using rebase:
:040000 040000 3d204e3ffe60e8f41e90be7e6ac87da08c215f3c 34e0b6937af094eccc26097e05a7b2081e03bf42 M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebKit/ChangeLog
	M	Source/WebKit/NetworkProcess/Cookies/mac/WebCookieManagerMac.mm
	M	Source/WebKit/NetworkProcess/IndexedDB/WebIDBConnectionToClient.cpp
	M	Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerConnection.cpp
	M	Source/WebKit/NetworkProcess/ServiceWorker/WebSWServerToContextConnection.cpp
	M	Source/WebKit/NetworkProcess/ios/NetworkProcessIOS.mm
	M	Source/WebKit/NetworkProcess/mac/NetworkProcessMac.mm
	M	Source/WebKit/NetworkProcess/mac/RemoteNetworkingContext.mm
	M	Source/WebKit/PluginProcess/PluginControllerProxy.cpp
	M	Source/WebKit/PluginProcess/PluginProcess.cpp
	M	Source/WebKit/PluginProcess/WebProcessConnection.cpp
	M	Source/WebKit/Scripts/PreferencesTemplates/WebPreferencesStoreDefaultsMap.cpp.erb
	M	Source/WebKit/Shared/API/c/cf/WKErrorCF.cpp
	M	Source/WebKit/Shared/API/c/cg/WKImageCG.cpp
	M	Source/WebKit/Shared/ChildProcess.cpp
	M	Source/WebKit/Shared/ContextMenuContextData.cpp
	M	Source/WebKit/Shared/EditorState.cpp
	M	Source/WebKit/Shared/Plugins/NPIdentifierData.cpp
	M	Source/WebKit/Shared/RemoteLayerTree/RemoteLayerTreePropertyApplier.mm
	M	Source/WebKit/Shared/RemoteLayerTree/RemoteScrollingCoordinatorTransaction.cpp
	M	Source/WebKit/Shared/SessionState.cpp
	M	Source/WebKit/Shared/SessionTracker.cpp
	M	Source/WebKit/Shared/ShareableBitmap.cpp
	M	Source/WebKit/Shared/ShareableResource.cpp
	M	Source/WebKit/Shared/VisibleContentRectUpdateInfo.cpp
	M	Source/WebKit/Shared/WebBackForwardListItem.cpp
	M	Source/WebKit/Shared/WebContextMenuItemData.cpp
	M	Source/WebKit/Shared/WebCoreArgumentCoders.cpp
	M	Source/WebKit/Shared/WebHitTestResultData.cpp
	M	Source/WebKit/Shared/WebImage.cpp
	M	Source/WebKit/Shared/WebMediaSessionMetadata.cpp
	M	Source/WebKit/Shared/WebMemorySampler.cpp
	M	Source/WebKit/Shared/WebMouseEvent.cpp
	M	Source/WebKit/Shared/WebRenderObject.cpp
	M	Source/WebKit/Shared/WebSQLiteDatabaseTracker.cpp
	M	Source/WebKit/Shared/WebWheelEvent.cpp
	M	Source/WebKit/Shared/cf/ArgumentCodersCF.cpp
	M	Source/WebKit/Shared/ios/WebPlatformTouchPointIOS.cpp
	M	Source/WebKit/UIProcess/API/APIContentRuleListStore.cpp
	M	Source/WebKit/UIProcess/API/APIHitTestResult.cpp
	M	Source/WebKit/UIProcess/API/APINavigation.cpp
	M	Source/WebKit/UIProcess/API/APIOpenPanelParameters.cpp
	M	Source/WebKit/UIProcess/API/APIPageConfiguration.cpp
	M	Source/WebKit/UIProcess/API/C/WKContext.cpp
	M	Source/WebKit/UIProcess/API/C/WKPage.cpp
	M	Source/WebKit/UIProcess/API/C/cg/WKIconDatabaseCG.cpp
	M	Source/WebKit/UIProcess/Cocoa/WebViewImpl.h
	M	Source/WebKit/UIProcess/Cocoa/WebViewImpl.mm
	M	Source/WebKit/UIProcess/RemoteLayerTree/ios/RemoteLayerTreeHostIOS.mm
	M	Source/WebKit/UIProcess/WebStorage/LocalStorageDatabase.cpp
	M	Source/WebKit/UIProcess/ios/WKContentView.mm
	M	Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm
	M	Source/WebKit/UIProcess/ios/fullscreen/WKFullScreenViewController.mm
	M	Source/WebKit/UIProcess/ios/fullscreen/WKFullScreenWindowControllerIOS.mm
	M	Source/WebKit/UIProcess/mac/WebPageProxyMac.mm
	M	Source/WebKit/WebProcess/Cache/WebCacheStorageConnection.cpp
	M	Source/WebKit/WebProcess/WebPage/RemoteLayerTree/PlatformCAAnimationRemote.mm
	M	Source/WebKit/WebProcess/WebPage/mac/WKAccessibilityWebPageObjectMac.mm

ERROR from SVN:
Merge conflict during commit: Conflict at '/trunk/Source/WebKit/ChangeLog'
W: 98abe06ceec970ee6ada7b87ad4d21418585658e and refs/remotes/origin/master differ, using rebase:
:040000 040000 3d204e3ffe60e8f41e90be7e6ac87da08c215f3c 34e0b6937af094eccc26097e05a7b2081e03bf42 M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: https://webkit-queues.webkit.org/results/10344778
Comment 36 chris fleizach 2018-12-10 17:01:38 PST
Created attachment 357021 [details]
patch
Comment 37 WebKit Commit Bot 2018-12-10 22:55:40 PST
Comment on attachment 357021 [details]
patch

Clearing flags on attachment: 357021

Committed r239071: <https://trac.webkit.org/changeset/239071>
Comment 38 WebKit Commit Bot 2018-12-10 22:55:42 PST
All reviewed patches have been landed.  Closing bug.
Comment 39 Miguel Gomez 2018-12-11 05:43:22 PST
This broke the build of WPE as now the definitions of toImpl and toAPI are not found on WKContext.cpp and WKPage.cpp.

I understand bug 192450 will deal with toImpl, but we need to take care of toAPI as well.
Comment 40 WebKit Commit Bot 2018-12-11 06:28:46 PST
Re-opened since this is blocked by bug 192588
Comment 41 chris fleizach 2018-12-11 23:28:45 PST
Created attachment 357109 [details]
patch
Comment 42 chris fleizach 2018-12-12 00:40:29 PST
Created attachment 357112 [details]
patch
Comment 43 EWS Watchlist 2018-12-12 02:37:08 PST
Comment on attachment 357112 [details]
patch

Attachment 357112 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10363789

New failing tests:
imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https.html
Comment 44 EWS Watchlist 2018-12-12 02:37:10 PST
Created attachment 357115 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 45 chris fleizach 2018-12-12 09:10:49 PST
Created attachment 357136 [details]
patch
Comment 46 Darin Adler 2018-12-12 09:20:28 PST
Given we are having so much trouble landing this, maybe we can land it in smaller pieces, so we only have to roll out the one that causes breakage? Seems almost every single one of these changes stands alone.
Comment 47 chris fleizach 2018-12-12 09:21:21 PST
(In reply to Darin Adler from comment #46)
> Given we are having so much trouble landing this, maybe we can land it in
> smaller pieces, so we only have to roll out the one that causes breakage?
> Seems almost every single one of these changes stands alone.

Ok
Comment 48 chris fleizach 2018-12-12 09:33:14 PST
Created attachment 357139 [details]
patch - part1
Comment 49 chris fleizach 2018-12-12 09:43:30 PST
(In reply to chris fleizach from comment #47)
> (In reply to Darin Adler from comment #46)
> > Given we are having so much trouble landing this, maybe we can land it in
> > smaller pieces, so we only have to roll out the one that causes breakage?
> > Seems almost every single one of these changes stands alone.
> 
> Ok

harder than it seems, since putting things inside namespaces changes other callsites
Comment 50 chris fleizach 2018-12-12 09:45:54 PST
Created attachment 357145 [details]
patch, part 1
Comment 51 chris fleizach 2018-12-12 10:50:32 PST
Comment on attachment 357145 [details]
patch, part 1

wincairo, gtk and iOS-sim test unrelated
Comment 52 WebKit Commit Bot 2018-12-12 11:16:07 PST
Comment on attachment 357145 [details]
patch, part 1

Clearing flags on attachment: 357145

Committed r239124: <https://trac.webkit.org/changeset/239124>
Comment 53 WebKit Commit Bot 2018-12-12 11:16:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 54 chris fleizach 2018-12-12 11:22:25 PST
Created attachment 357152 [details]
patch, part 2
Comment 55 chris fleizach 2018-12-12 11:23:44 PST
Doing this patch in parts, keeping open
Comment 56 WebKit Commit Bot 2018-12-12 13:22:04 PST
Comment on attachment 357152 [details]
patch, part 2

Clearing flags on attachment: 357152

Committed r239128: <https://trac.webkit.org/changeset/239128>
Comment 57 WebKit Commit Bot 2018-12-12 13:22:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 58 chris fleizach 2018-12-12 16:18:51 PST
Created attachment 357189 [details]
patch, part 3

Build fix for iOSmac
Comment 59 chris fleizach 2018-12-12 16:26:57 PST
Created attachment 357191 [details]
patch, part 4
Comment 60 chris fleizach 2018-12-12 16:41:43 PST
Created attachment 357195 [details]
patch, part 5
Comment 61 Ryan Haddad 2018-12-12 16:53:47 PST
Reopening since more patches are being attached for landing. The commit queue ignores bugs in the resolved state.
Comment 62 WebKit Commit Bot 2018-12-12 17:33:08 PST
Comment on attachment 357189 [details]
patch, part 3

Clearing flags on attachment: 357189

Committed r239140: <https://trac.webkit.org/changeset/239140>
Comment 63 WebKit Commit Bot 2018-12-12 17:33:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 64 chris fleizach 2018-12-12 17:35:01 PST
keeping open
Comment 65 WebKit Commit Bot 2018-12-12 18:19:33 PST
Comment on attachment 357191 [details]
patch, part 4

Clearing flags on attachment: 357191

Committed r239143: <https://trac.webkit.org/changeset/239143>
Comment 66 WebKit Commit Bot 2018-12-12 18:19:36 PST
All reviewed patches have been landed.  Closing bug.
Comment 67 chris fleizach 2018-12-12 18:55:44 PST
More to comr
Comment 68 WebKit Commit Bot 2018-12-12 19:21:58 PST
Comment on attachment 357195 [details]
patch, part 5

Clearing flags on attachment: 357195

Committed r239148: <https://trac.webkit.org/changeset/239148>
Comment 69 WebKit Commit Bot 2018-12-12 19:22:00 PST
All reviewed patches have been landed.  Closing bug.
Comment 70 chris fleizach 2018-12-12 22:59:11 PST
Created attachment 357211 [details]
patch, part 6
Comment 71 chris fleizach 2018-12-12 23:48:31 PST
Created attachment 357214 [details]
patch, part 7
Comment 72 chris fleizach 2018-12-13 00:07:59 PST
patches to come
Comment 73 chris fleizach 2018-12-13 00:39:32 PST
Created attachment 357218 [details]
patch, part 6
Comment 74 WebKit Commit Bot 2018-12-13 08:09:43 PST
Comment on attachment 357218 [details]
patch, part 6

Clearing flags on attachment: 357218

Committed r239166: <https://trac.webkit.org/changeset/239166>
Comment 75 WebKit Commit Bot 2018-12-13 08:09:45 PST
All reviewed patches have been landed.  Closing bug.
Comment 76 chris fleizach 2018-12-13 08:28:17 PST
more patches
Comment 77 chris fleizach 2018-12-13 08:34:48 PST
Created attachment 357232 [details]
patch, part 7
Comment 78 EWS Watchlist 2018-12-13 10:29:07 PST
Comment on attachment 357232 [details]
patch, part 7

Attachment 357232 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/10385156

New failing tests:
webanimations/leak-document-with-web-animation.html
Comment 79 EWS Watchlist 2018-12-13 10:29:20 PST
Created attachment 357237 [details]
Archive of layout-test-results from ews203 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews203  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 80 chris fleizach 2018-12-13 17:56:42 PST
Created attachment 357278 [details]
patch - part7
Comment 81 chris fleizach 2018-12-14 09:09:19 PST
Created attachment 357318 [details]
patch - part7
Comment 82 chris fleizach 2018-12-14 11:56:03 PST
Created attachment 357329 [details]
patch, part 7

try patch again to get all the bots going
Comment 83 WebKit Commit Bot 2018-12-15 23:25:29 PST
Comment on attachment 357329 [details]
patch, part 7

Clearing flags on attachment: 357329

Committed r239258: <https://trac.webkit.org/changeset/239258>
Comment 84 WebKit Commit Bot 2018-12-15 23:25:32 PST
All reviewed patches have been landed.  Closing bug.